# configure vim host
- hosts: control
  tasks:
    - name: ip link down
      command: ip link set eth1 down
      become: yes

    - name: ip flush
      command: ip addr flush dev eth1
      become: yes
      ignore_errors: yes

    - name: ip adding
      command: ip addr add {{ devstack[inventory_hostname].mgmt.ip }}/{{ devstack[inventory_hostname].mgmt.net }} dev eth1
      become: yes

    - name: ip uping
      command: ip link set eth1 up
      become: yes

    # TODO tag it and bag it
    - name: Git checkout
      environment:
        GIT_SSL_NO_VERIFY: 'true'
      ansible.builtin.git:
        repo: 'https://opendev.org/openstack/devstack'
        dest: /home/rvn/devstack

    - name: Create conf file for dev stack
      copy:
        dest: /home/rvn/devstack/local.conf
        content: |
          [[local|localrc]]
          HOST_IP=192.168.0.1
          FIXED_RANGE=10.0.128.0/20
          FLOATING_RANGE=192.168.0.128/25
          LOGFILE=/opt/stack/logs/stack.sh.log
          ADMIN_PASSWORD=secret
          DATABASE_PASSWORD=$ADMIN_PASSWORD
          RABBIT_PASSWORD=$ADMIN_PASSWORD
          SERVICE_PASSWORD=$ADMIN_PASSWORD

    - name: update apt
      shell: apt update --fix-missing
      become: yes

    - name: install devstack
      environment:
        GIT_SSL_NO_VERIFY: 'true'
      command: ./stack.sh
      args:
        chdir: /home/rvn/devstack
